put
https://api.hibob.com/v1/payroll/hub/sync-requests//sync-records
[BETA] MVP for Payroll Hub API for Partners. Report the sync status for each record that was returned by Get sync report data. Send one status per record (synced or failed) to complete the sync flow in Bob.
Before using this endpoint
- Call this endpoint after processing records from Get sync report data. Use
the same
identifier(employeeId, effectiveDate) as in the response so the system can match records. - Maximum 200 items per request. Send multiple PUT requests if you have more than 200 records to report.
- Status must be
syncedorfailed(case-insensitive). Forfailed, includeerrorMessagewhen applicable. - Complete reporting all record statuses before the webhook's
expiringAttimeout.
Rate limit: 5 requests per minute per auth (Bob auth based).
